- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OtherResult Class Reference

The OtherResult Class. More...

`#include <OSResult.h>`

Collaboration diagram for OtherResult:

[legend]
List of all members.

## Public Member Functions
| OtherResult ()
| Default constructor.
| ~OtherResult ()
| Class destructor.
bool | IsEqual (OtherResult *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
std::string | name
| the name of the other result
std::string | value
| the value of the other result
std::string | description
| the description of the other result

## Detailed Description

The OtherResult Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 10/09/2009

Since:
  OS 2.0

Remarks:
  A data structure class that corresponds to an xml element in the OSrL schema.

Definition at line 159 of file OSResult.h.

## Constructor & Destructor Documentation

OtherResult::OtherResult | ( |  | ) |

Default constructor.

Definition at line 81 of file OSResult.cpp.

OtherResult::~OtherResult | ( |  | ) |

Class destructor.

Definition at line 91 of file OSResult.cpp.

## Member Function Documentation

bool OtherResult::IsEqual | ( | OtherResult * | that | ) |

A function to check for the equality of two objects.

Definition at line 5536 of file OSResult.cpp.

bool OtherResult::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7378 of file OSResult.cpp.

Referenced by OtherResults::setRandom().

## Member Data Documentation

std::string OtherResult::name

the name of the other result

Definition at line 164 of file OSResult.h.

Referenced by OSrLWriter::writeOSrL().

std::string OtherResult::value

the value of the other result

Definition at line 167 of file OSResult.h.

Referenced by OSrLWriter::writeOSrL().

std::string OtherResult::description

the description of the other result

Definition at line 170 of file OSResult.h.

Referenced by OSrLWriter::writeOSrL().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp